<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface towerwarspp.preset.Player (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface towerwarspp.preset.Player (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface towerwarspp.preset.Player" class="title">Uses of Interface<br>towerwarspp.preset.Player</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main">towerwarspp.main</a></td>
<td class="colLast">
<div class="block">The main package controls the whole game and implements the inputParameter dialog.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.main.game">towerwarspp.main.game</a></td>
<td class="colLast">
<div class="block">The Game package which controls the main game and implements the save and load option.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.main.tournament">towerwarspp.main.tournament</a></td>
<td class="colLast">
<div class="block">The tournament package which implements the tournament modus.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#towerwarspp.network">towerwarspp.network</a></td>
<td class="colLast">
<div class="block">The network package which implements the Interface for a network game.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.player">towerwarspp.player</a></td>
<td class="colLast">
<div class="block">The player package which implements all possible player Types.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.main">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a> that return <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#createPlayer-towerwarspp.preset.PlayerType-">createPlayer</a></span>(<a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset">PlayerType</a>&nbsp;playerType)</code>
<div class="block">Method createPlayer to initialize a <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with given <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#createPlayers--">createPlayers</a></span>()</code>
<div class="block">Method createPlayers to get an array of two <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, first one of <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED, second BLUE</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#getRemotePlayer--">getRemotePlayer</a></span>()</code>
<div class="block">Method getRemotePlayer to search for an offered <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>, with given host, port and name</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/main/package-summary.html">towerwarspp.main</a> with parameters of type <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#startGame-towerwarspp.preset.Player-towerwarspp.preset.Player-">startGame</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
         <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer)</code>
<div class="block">Method startGame to create a new <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a> object, with given <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">AgeOfTowers.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/AgeOfTowers.html#startTournament-towerwarspp.preset.Player:A-">startTournament</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players)</code>
<div class="block">Method startTournament to start a tournament, starting as many <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a>s as wished.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.game">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> declared as <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#bluePlayer">bluePlayer</a></span></code>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> BLUE.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">Game.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#redPlayer">redPlayer</a></span></code>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> with <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> RED.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/main/game/package-summary.html">towerwarspp.main.game</a> with parameters of type <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-int-towerwarspp.io.View-int-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    int&nbsp;boardSize,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    int&nbsp;delayTime)</code>
<div class="block">Constructor setting <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, <a href="../../../towerwarspp/board/Board.html" title="class in towerwarspp.board"><code>Board</code></a>, <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io"><code>View</code></a> and integer variables.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Game.html#Game-towerwarspp.preset.Player-towerwarspp.preset.Player-towerwarspp.io.View-boolean-int-towerwarspp.main.game.Save-">Game</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;redPlayer,
    <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;bluePlayer,
    <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
    boolean&nbsp;debug,
    int&nbsp;delayTime,
    <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;saveGame)</code>
<div class="block">Constructor for loading games from an .aot-Save-File.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.main.tournament">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a> declared as <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">Tournament.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#players">players</a></span></code>
<div class="block">Array of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a>s, to  be able to switch the <a href="../../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset"><code>PlayerColor</code></a> in every other <a href="../../../towerwarspp/main/game/Game.html" title="class in towerwarspp.main.game"><code>Game</code></a></div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/main/tournament/package-summary.html">towerwarspp.main.tournament</a> with parameters of type <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/tournament/Tournament.html#Tournament-towerwarspp.preset.Player:A-towerwarspp.io.View-boolean-int-int-int-int-">Tournament</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>[]&nbsp;players,
          <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view,
          boolean&nbsp;debug,
          int&nbsp;delayTime,
          int&nbsp;boardSize,
          int&nbsp;games,
          int&nbsp;timeOut)</code>
<div class="block">Constructor setting every parameter as given.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.network">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> in <a href="../../../towerwarspp/network/package-summary.html">towerwarspp.network</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/network/package-summary.html">towerwarspp.network</a> that return <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">Remote.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/network/Remote.html#find--">find</a></span>()</code>
<div class="block">Looks for Remote objects bound to <a href="../../../towerwarspp/network/Remote.html#registry"><code>Remote.registry</code></a> obtained at object construction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">Remote.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/network/Remote.html#find-java.lang.String-">find</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">Look for a remote Player with the specified name on the <a href="../../../towerwarspp/network/Remote.html#registry"><code>Remote.registry</code></a> obtained at object construction.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/network/package-summary.html">towerwarspp.network</a> with parameters of type <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Remote.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/network/Remote.html#offer-towerwarspp.preset.Player-java.lang.String-">offer</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;netPlayer,
     java.lang.String&nbsp;name)</code>
<div class="block">Offer a Remote Player object with the passed name on <a href="../../../towerwarspp/network/Remote.html#registry"><code>Remote.registry</code></a> obtained on object construction</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="towerwarspp.player">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a> in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> that implement <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv1Player.html" title="class in towerwarspp.player">Adv1Player</a></span></code>
<div class="block">Class implementing a simple Computer opponent that uses the moves returned by <a href="../../../towerwarspp/player/PlayStrategy.html#HEAVY"><code>PlayStrategy.HEAVY</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/Adv2Player.html" title="class in towerwarspp.player">Adv2Player</a></span></code>
<div class="block">Advanced AI enemy that uses a threading enabled implementation of the Monte Carlo tree search algorithm to decide
 on his move after the specified amount of time.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></span></code>
<div class="block">Partial implementation of Player Interface that is used as Super-Class for specialized players (eg.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/HumanPlayer.html" title="class in towerwarspp.player">HumanPlayer</a></span></code>
<div class="block">Class that implements a Human Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html" title="class in towerwarspp.player">NetPlayer</a></span></code>
<div class="block">Implementation of the <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> Interface that can be used to offer any of the other <a href="../../../towerwarspp/preset/PlayerType.html" title="enum in towerwarspp.preset"><code>PlayerType</code></a>
 on a local RMI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/RndPlayer.html" title="class in towerwarspp.player">RndPlayer</a></span></code>
<div class="block">Class that implements a Random Player.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/SimplePlayer.html" title="class in towerwarspp.player">SimplePlayer</a></span></code>
<div class="block">Class that implements a simple AI opponent as specified in the project description.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> declared as <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></td>
<td class="colLast"><span class="typeNameLabel">NetPlayer.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#player">player</a></span></code>
<div class="block"><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> instance to which this NetPlayer is connected.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/player/package-summary.html">towerwarspp.player</a> with parameters of type <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#NetPlayer-towerwarspp.preset.Player-">NetPlayer</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player)</code>
<div class="block">Construct a new NetPlayer object tat is linked to the passed <a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset"><code>Player</code></a> object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/player/NetPlayer.html#NetPlayer-towerwarspp.preset.Player-towerwarspp.io.View-">NetPlayer</a></span>(<a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a>&nbsp;player,
         <a href="../../../towerwarspp/io/View.html" title="interface in towerwarspp.io">View</a>&nbsp;view)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/preset/class-use/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
